import utils from '@/utils.js'

export default {
  data() {
    return {
      pagination: {},
      dialogData: [],
      total: 0,
      form: {},
      itemSavestate: {},
    }
  },
  methods: {
    //更新对话框数据
    setDialogData(data) {
      this.dialogData = data
    },
    getDialoglistJson(pagination) {
      return this.$requestConfig
        .request({
          url: pagination.queryUrl,
          method: 'post',
          data: pagination.pageBean,
        })
        .then((response) => {
          const listKey = pagination.listKey
            ? pagination.listKey
            : pagination.dsType && pagination.dsType == 'dataSource'
            ? 'rows'
            : ''
          if (!listKey) {
            console.warn(
              '自定义对话框未获取到数据返回的listKey，数据加载可能产生异常。'
            )
          }
          // 通过路径取得对象中的属性
          const rows = utils.getValueByPath(response, listKey)
          const pathPage = utils.getValueByPath(response, pagination.pageKey)
          const pathPageSize = utils.getValueByPath(
            response,
            pagination.pageSizeKey
          )
          const pathTotal = utils.getValueByPath(response, pagination.totalKey)
          if (pathPage) {
            this.pageResult = {
              page: pathPage,
              pageSize: pathPageSize,
              total: pathTotal,
            }
          }
          this.setTodoRows(rows) //列表数据
          this.setTotal(pathTotal) //总数据条数
          let pageBean = {
            page: pathPage,
            pageSize: pathPageSize,
            showTotal: true,
          }
          this.setPagination(pageBean)
          return
        })
    },
    //更新每页下拉显示数据
    setPaginationSize(size) {
      this.pagination.pageSize = size
    },
    //更新第几页
    setPaginationPageNum(currentPage) {
      this.pagination.page = currentPage
    },
    getTreeData(data) {
      return new Promise((resolve) => {
        if (data.requestType == 'GET') {
          this.$requestConfig.request({ url: data.url }).then((response) => {
            resolve(response.data)
          })
        }
      })
    },
    setPagination(pagination) {
      this.pagination = pagination
    },
    setTodoRows(rows) {
      let newRows = []
      for (let i = 0; i < rows.length; i++) {
        let data = rows[i]
        let keys = Object.keys(data)
        let objRows = {}
        keys.forEach((key) => {
          objRows[key.toLowerCase()] = data[key]
        })
        newRows.push(objRows)
      }
      this.setDialogData(newRows)
    },
    setTotal(total) {
      this.total = total
    },
  },
}
